| codcopy

## Function

Reads and writes a codon usage table

## Description

Copies a codon usage table. This program supports all available codon usage input and output formats. Rather than a copy utility, it is intended as a format conversion utility so that codon usage data can be exported to other applications that support only a single format.

## Algorithm

## Usage

Here is a sample session with codcopy

    % codcopy
    Reads and writes a codon usage table
    Codon usage file: Eecoli.cut
    Codon usage output file [eecoli.cut]:

Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-infile]            codon      Codon usage table name
      [-outfile]           outcodon   Codon usage table name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-infile" associated qualifiers
       -format1            string     Data format

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Output format specific to this data type

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-infile] (Parameter 1) | Codon usage table name | Codon usage file in EMBOSS data path |
[-outfile] (Parameter 2) | Codon usage table name | Codon usage file |
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

codcopy reads any normal sequence USAs.

## Output file format

codcopy outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### File: eecoli.cut

    #Species: Escherichia coli K12
    #Division: gbbct
    #Release: CUTG146
    #CdsCount: 5045

    #Coding GC 51.81%
    #1st letter GC 58.93%
    #2nd letter GC 40.69%
    #3rd letter GC 55.80%

    #Codon AA Fraction Frequency Number
    GCA    A     0.214    20.299  32456
    GCC    A     0.269    25.493  40761
    GCG    A     0.355    33.631  53773
    GCT    A     0.162    15.354  24549
    TGC    C     0.554     6.431  10283
    TGT    C     0.446     5.180   8282
    GAC    D     0.372    19.047  30454
    GAT    D     0.628    32.219  51514
    GAA    E     0.690    39.570  63268
    GAG    E     0.310    17.782  28431
    TTC    F     0.425    16.580  26510
    TTT    F     0.575    22.423  35852
    GGA    G     0.108     7.925  12671
    GGC    G     0.402    29.403  47013
    GGG    G     0.150    10.994  17578
    GGT    G     0.340    24.838  39714
    CAC    H     0.429     9.712  15529
    CAT    H     0.571    12.903  20630
    ATA    I     0.072     4.290   6860
    ATC    I     0.419    24.999  39971
    ATT    I     0.510    30.427  48649
    AAA    K     0.767    33.618  53752
    AAG    K     0.233    10.198  16305
    CTA    L     0.036     3.860   6172
    CTC    L     0.104    11.045  17660
    CTG    L     0.496    52.821  84455
    CTT    L     0.104    11.051  17670
    TTA    L     0.131    13.913  22246
    TTG    L     0.129    13.727  21948
    ATG    M     1.000    27.778  44414
    AAC    N     0.551    21.611  34554
    AAT    N     0.449    17.633  28193
    CCA    P     0.192     8.524  13629
    CCC    P     0.125     5.531   8843
    CCG    P     0.524    23.235  37150
    CCT    P     0.159     7.045  11265
    CAA    Q     0.349    15.474  24742
    CAG    Q     0.651    28.832  46100
    AGA    R     0.037     2.056   3287
    AGG    R     0.022     1.216   1944
    CGA    R     0.064     3.542   5663
    CGC    R     0.398    22.005  35184
    CGG    R     0.098     5.391   8619
    CGT    R     0.381    21.020  33609
    AGC    S     0.277    16.031  25632
    AGT    S     0.151     8.723  13947
    TCA    S     0.123     7.137  11411
    TCC    S     0.148     8.591  13736
    TCG    S     0.154     8.916  14256
    TCT    S     0.147     8.507  13601
    ACA    T     0.131     7.035  11248
    ACC    T     0.435    23.362  37354
    ACG    T     0.268    14.371  22977
    ACT    T     0.166     8.922  14265
    GTA    V     0.154    10.883  17400
    GTC    V     0.215    15.221  24336
    GTG    V     0.371    26.253  41976
    GTT    V     0.260    18.394  29410
    TGG    W     1.000    15.303  24468
    TAC    Y     0.429    12.243  19576
    TAT    Y     0.571    16.326  26103
    TAA    *     0.642     2.025   3237
    TAG    *     0.072     0.228    365
    TGA    *     0.286     0.902   1443

## Data files

None

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
cutseq | Removes a specified section from a sequence
degapseq | Removes gap characters from sequences
descseq | Alter the name or description of a sequence
entret | Reads and writes (returns) flatfile entries
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Creates random nucleotide sequences
makeprotseq | Creates random protein sequences
maskfeat | Mask off features of a sequence
maskseq | Mask off regions of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Exclude a set of sequences and write out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads and writes (returns) sequences in individual files
skipseq | Reads and writes (returns) sequences, skipping first few
splitter | Split a sequence into (overlapping) smaller sequences
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
union | Reads sequence fragments and builds one sequence
vectorstrip | Strips out DNA between a pair of vector sequences
yank | Reads a sequence range, appends the full USA to a list file

## Author(s)

Peter Rice (pmr © ebi.ac.uk)
Informatics Division, European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None